export default class ChannelSetupModal extends Component<any, any, any> {
    static propTypes: {
        onClose: PropTypes.Validator<(...args: any[]) => any>;
        user: PropTypes.Validator<object>;
        entityNamePlural: PropTypes.Validator<string>;
        channels: PropTypes.Requireable<any[]>;
    };
    static defaultProps: {
        channels: string[];
    };
    constructor(props: any);
    constructor(props: any, context: any);
    render(): import("react/jsx-runtime").JSX.Element;
}
import { Component } from "react";
import PropTypes from "prop-types";
